<div class="helpdesk_container">
  <div class="row helpdesk_content_row">
    <div class="col-sm-4">
      <div class="first_column">
        <div>
          <mat-form-field class="form-field" appearance="fill">
            <mat-label>Select location</mat-label>
            <mat-select [formControl]="locationControl">
              <mat-option *ngFor="let location of stockLocations$ | async" [value]="location.locationName">
                {{location.locationName}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div>
          <mat-form-field appearance="fill">
            <mat-label>Date from</mat-label>
            <input matInput [matDatepicker]="dateFrom" [formControl]="dateFromControl">
            <mat-datepicker-toggle matSuffix [for]="dateFrom"></mat-datepicker-toggle>
            <mat-datepicker #dateFrom></mat-datepicker>
          </mat-form-field>
        </div>
        <div>
          <mat-form-field class="second-param" appearance="fill">
            <mat-label>Date to</mat-label>
            <input matInput [matDatepicker]="dateTo" [formControl]="dateToControl">
            <mat-datepicker-toggle matSuffix [for]="dateTo"></mat-datepicker-toggle>
            <mat-datepicker #dateTo></mat-datepicker>
          </mat-form-field>
        </div>
        <div>
          <mat-form-field class="form-field" appearance="fill">
            <mat-label>Date type</mat-label>
            <mat-select [formControl]="dateTypeControl">
              <mat-option *ngFor="let type of dateTypes" [value]="type">
                {{type}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="autocomplete">
          <app-autocomplete (itemSKUEvent)="onSelectItem($event)" (autocompleteRefEvent)="setAutocompleteRef($event)"></app-autocomplete>
        </div>
      </div>
    </div>
    <div class="col-sm-4">
      <div class="second_column">
        <div>
          <mat-form-field class="form-field" appearance="fill">
            <mat-label>Source</mat-label>
            <mat-select [formControl]="sourceControl">
              <mat-option *ngFor="let source of sources$ | async" [value]="source.name">
                {{source.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div>
          <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>SubSource</mat-label>
            <input matInput placeholder="SubSource" [formControl]="subSourceControl">
          </mat-form-field>
        </div>
        <div>
          <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>Country</mat-label>
            <input matInput placeholder="Country" [formControl]="countryControl">
          </mat-form-field>
        </div>
        <div>
          <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>Orders amount</mat-label>
            <input
                matInput
                type="number"
                placeholder="Orders amount"
                min="1"
                [formControl]="ordersAmountControl"
              />
          </mat-form-field>
        </div>
      </div>
    </div>
    <div class="col-sm-4">
      <div class="third_column">
        <div>
          <mat-form-field class="form-field" appearance="fill">
            <mat-label>Status</mat-label>
            <mat-select [formControl]="statusControl">
              <mat-option *ngFor="let status of statuses" [value]="status">
                {{status}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="toggle_processed_container">
          <mat-slide-toggle class="toggle" color="primary" [(ngModel)]="isProcessed">Processed</mat-slide-toggle>
        </div>
        <div class="get_orders_container">
          <button class="get_orders_button" mat-raised-button color="primary" (click)="getOrders()" [disabled]="!dateFromControl.value || !dateToControl.value || ordersAmountControl.invalid">GET Orders</button>
        </div>
        <div class="get_csv_container">
          <button class="get_csv_file" mat-raised-button color="primary" (click)="getCsvFile()" [disabled]="!orders.length">GET .csv file</button>
        </div>
        <div class="orders_amount_container">
          <p>Orders: {{ this.orders.length }}</p>
        </div>
      </div>
    </div>
  </div>
  <div class="helpdesk_table">
    <app-helpdesk-table (gridApiEvent)="setGridApi($event)"></app-helpdesk-table>
  </div>
</div>

